﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO;
using System.Xml.Serialization;

namespace SilverlightApplication1
{
    public class RadGridViewXmlDataSource : XmlNodeItemList
    {
        private string source;
        public string Source
        {
            get
            {
                return this.source;
            }
            set
            {
                this.source = value;
                AddRange(RetrieveData(Application.GetResourceStream(new Uri(value, UriKind.Relative)).Stream));

            }
        }

        private XmlNodeItemList RetrieveData(Stream xmlStream)
        {
           
            XmlSerializer serializer = new XmlSerializer(typeof(XmlNodeItemList));
            StreamReader reader = new StreamReader(xmlStream);
            XmlNodeItemList list = (XmlNodeItemList)serializer.Deserialize(reader);
            return list;
        }
    }
}
